﻿
// sub-class of c_read () -----------------------------------------------------------------

function c_read_mode () {

// methods
	this.readchapter = readchapter_2;
	this.tooltip = f_changeTitle;
	this.explain = f_explainParse; 
	this.mode = f_changeMode;
	this.lock = f_lockMouse;

// functions
	//  function readchapter (opstr, objNode, bnum, cnum) {
	//  function read_gp (opstr, objNode, bnum, cnum) {
	//  function read_gps (opstr, objNode, bnum, cnum) {
	//  function read_gsv (opstr, objNode, bnum, cnum) {
	//  function read_g (opstr, objNode, bnum, cnum) {
	//  function f_changeMode (id) {

	//  function f_explainParse (xTitle, xCode) {
	//  function f_getMeaningP (id) {
	//  function f_changeTitle (xTitle, xId) {
	//  function f_getMeaning (id) {

function readchapter_2 (opstr, objNode, bnum, cnum) {
	read_all (opstr, objNode, bnum, cnum, v_mode) 
}

var is_lockMouse = false;
function f_lockMouse (xTitle, xId) {
	is_lockMouse = !is_lockMouse;
	if (!is_lockMouse)  f_changeTitle (xTitle, xId)
}

var v_mode = 0;
function f_changeMode (id) {
	v_mode = id;
	read_all (' ', mybody, nowbook, nowchapter, id);
}


// greek coding scheme in westcott hort ubs4
//	N-cng, T-cng, P-cng, A-cng, 
//	V-tmv-pn, V-2tmv-pn, V-tmv-cng, , V-2tmv-cng, 
//	CONJ, PREP, PRT, ADV, 

pc22s= "P#现; I#不; F#未; A#过; R#完; L#成; "
	+"2F#未; 2A#过; 2R#完; 2L#完; "; 
pc23s= "A#主; M#关; P#被; E#关; D#主; "
	+"O#主; N#主; Q#非; X#无; ";
pc24s= "I#直; S#假; O#期; M#命; N#不; P#分; ";
pc25s= "1#一; 2#二; 3#三; "; 
pc26s= "S#单; P#复; "; 

pc32s= "S#附; C#等; ";
pc33s= "S#句; I#疑; V#动; ";

pc11s= "N#名; P#代; V#动; A#形; ADV#副; CON#连; PRE#介; T#冠; PRT#虚; "; 
pc12s= "N#主; G#所; D#间; A#受; V#呼; ";
pc13s= "S#单; P#复; "; 
pc14s= "M#阳; F#阴; N#性; ";

pcns = [];
pcns [0] = pc12s;  pcns [1] = pc13s;  pcns [2] = pc14s;
pcvs = [];
pcvs [0] = pc22s;  pcvs [1] = pc23s;  pcvs [2] = pc24s;



pc22= "P#现在式; I#过去不完成式; F#未来式; A#过去简单式; R#现在完成式; L#过去完成式; "
	+"2F#第二未来式; 2A#第二过去简单式; 2R#第二现在完成式; 2L#第二过去完成式; "; 
pc23= "A#主动语态; M#关身语态; P#被动语态; E#关身或被动语态; D#关身形主动意; "
	+"O#被动形主动意; N#关身或被动形主动意; Q#非人主动; X#无语态; ";
pc24= "I#直说语气; S#假设语气; O#期望语气; M#命令语气; N#不定词; P#分词; ";
pc25= "1#第一人称; 2#第二人称; 3#第三人称; "; 
pc26= "S#单数; P#复数; "; 

pc32= "S#附属; C#对等; ";
pc33= "S#句子; I#疑问词; V#动词; ";

pc11= "N#名词; P#代名词; V#动词; A#形容词; ADV#副词; CON#连接词; PRE#介词; T#冠词; PRT#虚词; "; 
pc12= "N#主格; G#所有格; D#间接受格; A#直接受格; V#呼格; ";
pc13= "S#单数; P#复数; "; 
pc14= "M#阳性; F#阴性; N#中性; ";

pcn = [];
pcn [0] = pc12;  pcn [1] = pc13;  pcn [2] = pc14;
pcv = [];
pcv [0] = pc22;  pcv [1] = pc23;  pcv [2] = pc24;

function f_getMeaningP (id) {
	var x, y, xx, yy, zz;

	// getWhere ('d_list').innerHTML = ';' +id +'; ' +' id<br />';
	zz = '';
	x = id.substr (0,3);  // ADV, CONJ, PREP, PRT
	xx = pc11.indexOf (x);

	if (xx > -1) {
		y = pc11.substr (xx+4); 
		zz += y.substr (0, y.indexOf (';')) + '; '; 
		return zz;
	}
	else {  // N, P, A, T, V
		x = id.substr (0,1);
		y = pc11.substr (pc11.indexOf (x) +2); 
		zz += y.substr (0, y.indexOf (';')) + '; '; 

		switch (x) {
		case "N":  // N-cng, T-cng, P-cng, A-cng, 
		case "P":
		case "A":
		case "T":
			for (i in pcn) {
				x = id.substr (2+i,1);
				y = pcn[i].substr (pcn[i].indexOf (x) +2); 
				zz += y.substr (0, y.indexOf (';')) + '; '; 
			}
			return zz;

			break;  // case "N", "P", "A", "T":

		case "V":  // V-tmv-pn, V-tmv-cng, , V-2tmv-pn, V-2tmv-cng, 
			xx = (id.substr (2,1)=='2') ? 2 : 1;

			for (i in pcv) {
				y0 = (i==0) ? 2 : xx+1+i  // 1=2,3,4;  2=2,4,5
				y1 = (i==0) ? xx : 1;
				y2 = (i==0) ? (xx+1) : 2;

				x = id.substr (y0,y1);
				y = pcv[i].substr (pcv[i].indexOf (x) +y2); 
				zz += y.substr (0, y.indexOf (';')) + '; '; 
			}

			x = id.substr (5+xx,1);
			if (x < '9') {
				y = pc25.substr (pc25.indexOf (x) +2); 
				zz += y.substr (0, y.indexOf (';')) + '; '; 
				
				x = id.substr (6+xx,1);
				y = pc26.substr (pc26.indexOf (x) +2); 
				zz += y.substr (0, y.indexOf (';')) + '; '; 
			}
			else {
				for (i in pcn) {
					x = id.substr (5+xx+i,1);
					y = pcn[i].substr (pcn[i].indexOf (x) +2); 
					zz += y.substr (0, y.indexOf (';')) + '; '; 
				}
	
			}  // if (x > '3') else

			return zz;
			break;  // case "V": 
		default:
			zz += "N/A; "
		}
	}  // if (xx > -1) else {  // N, P, A, T, V

	return zz;		
	
}

var xyTitle = ' ', xyCode = ' ';
function f_explainParse (xTitle, xCode) {
	if ((xTitle==xyTitle) && (xCode==xyCode))   return;

	xxTitle=xTitle;  xxCode=xCode;
	xTitle.title = f_getMeaningP (xCode);
}


var xxTitle = ' ', xxId = ' ';
function f_changeTitle (xTitle, xId) {
	if ((xTitle==xxTitle) && (xId==xxId))   return;
	if (is_lockMouse)  return;

	xxTitle=xTitle;  xxId=xId;
	xTitle.title = f_getMeaning (xId);
}

function f_getMeaning (id) {
	var x, y, xx, yy, zz;

	y = data3;
	if (id[1]=='G') return 'N/A';

	x = id.substr(1) * 1;  // or, id.valueOf(); parseInt(id);
	// getWhere ('d_list').innerHTML = ';' +id +'; ' +y[x][0] +' id<br />';

	if (y[x][0]*1 > x) x-=(y[x][0]*1 - x);  // adjust for some reason

	yy = y [x][1];
	yy = yy.replace (/\r\n/g, "<br />")
	yy = yy.replace (/\t/g, "<p />")
	getWhere ('d_list').innerHTML = yy +' <br />';

	// G5627..G5799 verbal
	xx = y [x][0].substr(1) *1;
	y = y [x][1].split("\t");
	if ((xx>5626) && (xx<5800)) {
		y = y [0].split("\r\n"); 
		for (yy=0; yy<3; yy++) 
			y[yy] = y[yy].split("  "); 
		zz = 'G' +y[0][0] +'; ' +y[1][2] +'; ' +y[2][2];
	}
	else {	// word, part- av, meaning
		// next to [欽定本 -],  [AV -]
		// next to ending [：], [:]
		y = y [0].split("\r\n\r\n");  
		// if (y.length<4) 
		if ( (y[2].indexOf('欽定本 -')<0) && (y[2].indexOf('AV -')<0) )
			y = y [2].split("\r\n"); 
		else y = y [3].split("\r\n"); 

		if ( (y[0].indexOf('：')<0) && (y[0].indexOf(':')<0) )
			y = y [0];
		else	y = y [1];

		// getWhere ('d_list').innerHTML = y +' y<br />';

		
		if (xx==846) y = '他';
		else if (y.indexOf ('=')>-1) y = y.substr (0, y.indexOf ('=')-1);
		else if (y.indexOf (')')>-1) {
			y = y.split(')');
			y = y[y.length-1];
			if (y.indexOf (',')>-1) {y = y.substr (0,y.indexOf (','));}
			else if (y.indexOf ('，')>-1) {y = y.substr (0, y.indexOf ('，'));}
			// else {y = y.substr (y.indexOf (')')+1,y.length);}
		}

		zz = id +' ' +y;
	}
	return zz;

}  // function f_getMeaning (id) {

function read_gp (opstr, objNode, bnum, cnum) {
	readchapter (opstr, objNode, bnum, cnum);
}


function read_all (opstr, objNode, bnum, cnum, id) {  // -----------------------------------

	function read_all_gp () {
		if (oneline2[ii] [0] > 'Z')   // αβγδε
			oneline40 = oneline2 [ii];
		else if ( oneline2[ii] [0] == 'G') {
			if (is_gOne) oneline41 = oneline2 [ii];
			else oneline42 = oneline2 [ii];
			is_gOne = !is_gOne;
		}  // if (oneline2[ii] [0] > 'Z')   // αβγδε
		// 5627..5799 verbal
		else if (oneline2[ii] [0] != 'G') {
			oneline43 = oneline2 [ii];
			oneline3 += '<ruby><rb>'
				+ '<a href="#' +oneline41 +'" title="" onClick="o_read.lock(this,\'' +oneline41 +'\')" ' 
				+'onMouseOver="o_read.tooltip(this,\'' +oneline41 +'\')"> ' 
				+oneline40
				+'</a> <\/rb>' + ' ';
			oneline3 += '<rt>'
				+ '<a href="#" title="" '
				+'onMouseOver="o_read.explain(this,\'' +oneline43 +'\')"> ' 
				+oneline43 +'</a>' 
			if (oneline42[1] != 'G') 
				oneline3 +=  '<a href="#" title="" onClick="o_read.lock(this,\'' +oneline42 +'\')" ' 
					+'onMouseOver="o_read.tooltip(this,\'' +oneline42 +'\')"> ' 
					+'<font color="green"> * </font></a> ' 
			oneline3 += '<\/rt><\/ruby>' + ' ';
			is_gOne = true;
			oneline42 = 'GGGGG';
		}  // else if (oneline2[ii] [0] != 'G') {
	}  // function read_all_gp () {

	function read_all_gps () {
		if (oneline2[ii] [0] > 'Z')   // αβγδε
			oneline40 = oneline2 [ii];
		else if ( oneline2[ii] [0] == 'G') {
			if (is_gOne) oneline41 = oneline2 [ii];
			else oneline42 = oneline2 [ii];
			is_gOne = !is_gOne;
		}  // if (oneline2[ii] [0] > 'Z')   // αβγδε
		// 5627..5799 verbal
		else if (oneline2[ii] [0] != 'G') {
			oneline43 = oneline2 [ii];
			oneline3 += '<ruby><rb>'
				+ '<a href="#' +oneline41 +'" title="" onClick="o_read.lock(this,\'' +oneline41 +'\')" ' 
				+'onMouseOver="o_read.tooltip(this,\'' +oneline41 +'\')"> ' 
				+oneline40
				+'</a> <\/rb>' + ' ';
			oneline3 += '<rt>'
				+ '<a href="#" title="" '
				+'onMouseOver="o_read.explain(this,\'' +oneline43 +'\')"> ' 
				+oneline43 +'</a><\/rt>' ;
			if (oneline42[1] != 'G') 
				oneline3 +=  '<rt><a href="#" title="" onClick="o_read.lock(this,\'' +oneline42 +'\')" ' 
					+'onMouseOver="o_read.tooltip(this,\'' +oneline42 +'\')"> ' 
					+ oneline42 +'</a><\/rt> ' ;
			else
				oneline3 +=  '<rt><a href="#" title="" >&nbsp; </a><\/rt> ' ;
			oneline3 += '<\/ruby>' + ' ';

			is_gOne = true;
			oneline42 = 'GGGGG';
		}  // else if (oneline2[ii] [0] != 'G') {
	}  // function read_all_gps () {

	function read_all_gsv () {
		if (oneline2[ii] [0] > 'Z')   // αβγδε
			oneline40 = oneline2 [ii];
		else if ( oneline2[ii] [0] == 'G') {
			if (is_gOne) oneline41 = oneline2 [ii];
			else oneline42 = oneline2 [ii];
			is_gOne = !is_gOne;
		}  // if (oneline2[ii] [0] > 'Z')   // αβγδε
		// 5627..5799 verbal
		else if (oneline2[ii] [0] != 'G') {
			oneline43 = oneline2 [ii];
			oneline3 += '<ruby><rb>'
				+ '<a href="#' +oneline41 +'" title="" onClick="o_read.lock(this,\'' +oneline41 +'\')" ' 
				+'onMouseOver="o_read.tooltip(this,\'' +oneline41 +'\')"> ' 
				+oneline40
				+'</a> <\/rb>' + ' ';
			oneline3 += '<rt>'
				+ '<a href="#" title="" onClick="o_read.lock(this,\'' +oneline41 +'\')" '
				+'onMouseOver="o_read.tooltip(this,\'' +oneline41 +'\')"> ' 
				+oneline41 +'</a><\/rt>' ;
			if (oneline42[1] != 'G') 
				oneline3 +=  '<rt><a href="#" title="" onClick="o_read.lock(this,\'' +oneline42 +'\')" ' 
					+'onMouseOver="o_read.tooltip(this,\'' +oneline42 +'\')"> ' 
					+ oneline42 +'</a><\/rt> ' ;
			else
				oneline3 +=  '<rt><a href="#" title="" >&nbsp; </a><\/rt> ' ;
			oneline3 += '<\/ruby>' + ' ';

			is_gOne = true;
			oneline42 = 'GGGGG';
		}  // else if (oneline2[ii] [0] != 'G') {
	}  // function read_all_gsv () {

	function read_all_g () {
		if (oneline2[ii] [0] > 'Z')   // αβγδε
			oneline40 = oneline2 [ii];
		else if ( oneline2[ii] [0] == 'G') {
			if (is_gOne) oneline41 = oneline2 [ii];
			else oneline42 = oneline2 [ii];
			is_gOne = !is_gOne;
		}  // if (oneline2[ii] [0] > 'Z')   // αβγδε
		// 5627..5799 verbal
		else if (oneline2[ii] [0] != 'G') {
			oneline43 = oneline2 [ii];
			oneline3 += '<ruby><rb>'
				+ '<a href="#' +oneline41 +'" title="" onClick="o_read.lock(this,\'' +oneline41 +'\')" ' 
				+'onMouseOver="o_read.tooltip(this,\'' +oneline41 +'\')"> ' 
				+oneline40
				+'</a> ' + ' ';
			oneline3 += ''
				+ '<a href="#" title="" onMouseOver="o_read.explain(this,\'' +oneline43 +'\')"> ' 
				+'<font color="green"> #</font></a>' ;
			if (oneline42[1] != 'G') 
				oneline3 +=  '<a href="#" title="" onClick="o_read.lock(this,\'' +oneline42 +'\')" ' 
					+'onMouseOver="o_read.tooltip(this,\'' +oneline42 +'\')">' 
					+'<font color="green">*</font></a> ' ;
			oneline3 += '<\/rb><\/ruby>' + ' ';
			is_gOne = true;
			oneline42 = 'GGGGG';
		}  // else if (oneline2[ii] [0] != 'G') {
	}  // function read_all_g () {



  var out1, out2, out3, k, operand ="";

  book_chapters = o_bible.book_chapters;
  chapter_lines = o_bible.chapter_lines;
  books = o_bible.books;
  numbers = o_bible.numbers;
  profiles = data2;

  while (opstr.charAt(opstr.length - 1) == ' ') //清掉结尾的空格
    opstr = opstr.substring(0,opstr.length - 1);

  if (opstr.length > 0)
    operand = opstr.split(" ");


  if ((bnum - 0 < 39) || (bnum - 0 >= 66))
    bnum = 39;
  if ((bnum - 0 <= 0) && (cnum - 0 < 0))
    cnum = 0;
  if ((bnum - 0 >= 65) && (cnum - 0 >=22))
    cnum = 21;
  if (cnum - 0 < 0) {
      bnum--;
      cnum = book_chapters[bnum+1] - book_chapters[bnum]-1;
  }
  if (cnum - 0 >= book_chapters[bnum+1] - book_chapters[bnum]) {
      bnum++;
      cnum = 0;
  }


  x = book_chapters[bnum]+cnum;
  var line1 = chapter_lines[x];  
  var line2 = chapter_lines[x+1];
  var tempNode1, tempNode2;
  var value1 = 1;

   var oneline41, oneline42, oneline43, oneline2, oneline3, oneline;
   var i, ii, is_gOne, read_text;

  x = chapter_lines[book_chapters[39]]
  line1 -= x;
  line2 -= x;

  read_text = "";

  read_text += '<font size="5" color="#0000ff">' + books[bnum] + '第' + numbers[cnum] + '章</font> <br />\n';
	read_text += '<span class="list2">';
  read_text += '<TABLE>';

  for (i = line1; i < line2; i++) {
	      oneline = profiles[i][4];

	      k = 0;
	      while (k < operand.length && opstr.length > 0) {
		var temp ="";
		var compareString = operand[k];
		while (oneline.indexOf(compareString) != -1) {
			  temp += oneline.substring(0, oneline.indexOf(compareString)) + 
			    '<font color="ff0000">' + compareString + '</font>';
			  oneline = oneline.substring(oneline.indexOf(compareString)+compareString.length);
			}  // end of while(oneline.indexOf(compareString) != -1) {
		temp += oneline;
		oneline = temp;
		 k++;
		  }  // end of while(k < operand.length && opstr.length > 0) {

	if (i % 2 == 1) read_text += '<TR><TD class=\'white\'>' ;
	else read_text += '<TR><TD class=\'black\'>' ;

	oneline2 = oneline.split (" ");
	oneline3 = '';
	is_gOne = true;
	oneline42 = 'GGGGG';

	for (ii in oneline2) {

		switch (id) {
			case 0: read_all_gp (); break;
			case 1: read_all_gps (); break;
			case 2: read_all_gsv (); break;
			case 3: read_all_g (); break;
		}

	}  // for (ii in oneline2) {

	// oneline3 += '<\/ruby> ';
	if ((id==1) || (id==2)) 
		read_text += '<ruby><rb>' 
			+o_bible.bookAbbr_s[bnum] +' ' +(cnum+1) +':' +(i-line1+1)
			+'</rb><rt>&nbsp;</rt><rt>&nbsp;</rt></ruby>';
	else 	read_text += o_bible.bookAbbr_s[bnum] +' ' +(cnum+1) +':' +(i-line1+1);
	read_text += ' ' +oneline3 +'<\/TD><\/TR>';

	  }  // end of for (var i = line1; i < line2; i++) {


  read_text += '</TABLE><\/span> \n<P \/>';

  read_text += '<a href="" onClick="o_read.readchapter(\'' + opstr + '\', mybody, nowbook,--nowchapter); return false;">前一章</a>\n'
	+'<a href="" onClick="o_read.readchapter(\'' + opstr + '\', mybody, nowbook,++nowchapter); return false;">后一章</a>\n';

  out1 = getWhere ("d_read");
  out1.innerHTML = read_text;

  nowbook = bnum;
  nowchapter = cnum;




}  // function read_all (opstr, objNode, bnum, cnum) {


function readchapter (opstr, objNode, bnum, cnum) {

  var out1, out2, out3, k, operand ="";

  book_chapters = o_bible.book_chapters;
  chapter_lines = o_bible.chapter_lines;
  books = o_bible.books;
  numbers = o_bible.numbers;
  profiles = data2;

  while (opstr.charAt(opstr.length - 1) == ' ') //清掉结尾的空格
    opstr = opstr.substring(0,opstr.length - 1);

  if (opstr.length > 0)
    operand = opstr.split(" ");


  if ((bnum - 0 < 39) || (bnum - 0 >= 66))
    bnum = 39;
  if ((bnum - 0 <= 0) && (cnum - 0 < 0))
    cnum = 0;
  if ((bnum - 0 >= 65) && (cnum - 0 >=22))
    cnum = 21;
  if (cnum - 0 < 0) {
      bnum--;
      cnum = book_chapters[bnum+1] - book_chapters[bnum]-1;
  }
  if (cnum - 0 >= book_chapters[bnum+1] - book_chapters[bnum]) {
      bnum++;
      cnum = 0;
  }


  x = book_chapters[bnum]+cnum;
  var line1 = chapter_lines[x];  
  var line2 = chapter_lines[x+1];
  var tempNode1, tempNode2;
  var value1 = 1;

   var oneline41, oneline42, oneline43, oneline2, oneline3, oneline;
   var i, ii, is_gOne, read_text;

  x = chapter_lines[book_chapters[39]]
  line1 -= x;
  line2 -= x;

  read_text = "";

  read_text += '<font size="5" color="#0000ff">' + books[bnum] + '第' + numbers[cnum] + '章</font> <br />\n';
	read_text += '<span class="list2">';
  read_text += '<TABLE>';

  for (i = line1; i < line2; i++) {
	      oneline = profiles[i][4];

	      k = 0;
	      while (k < operand.length && opstr.length > 0) {
		var temp ="";
		var compareString = operand[k];
		while (oneline.indexOf(compareString) != -1) {
			  temp += oneline.substring(0, oneline.indexOf(compareString)) + 
			    '<font color="ff0000">' + compareString + '</font>';
			  oneline = oneline.substring(oneline.indexOf(compareString)+compareString.length);
			}  // end of while(oneline.indexOf(compareString) != -1) {
		temp += oneline;
		oneline = temp;
		 k++;
		  }  // end of while(k < operand.length && opstr.length > 0) {

	if (i % 2 == 1) read_text += '<TR><TD class=\'white\'>' ;
	else read_text += '<TR><TD class=\'black\'>' ;

	oneline2 = oneline.split (" ");
	oneline3 = '';
	is_gOne = true;
	oneline42 = 'GGGGG';
	for (ii in oneline2) {
		if (oneline2[ii] [0] > 'Z')   // αβγδε
			oneline40 = oneline2 [ii];
		else if ( oneline2[ii] [0] == 'G') {
			// if (is_gOne) oneline3 += '<rt>&lt;' +oneline2 [ii] +'&gt;<\/rt>' + ' ';
			if (is_gOne) oneline41 = oneline2 [ii];
			else oneline42 = oneline2 [ii];
			is_gOne = !is_gOne;
		}
		// 5627..5799 verbal
		else if (oneline2[ii] [0] != 'G') {
			oneline43 = oneline2 [ii];
			oneline3 += '<\/ruby><ruby><rb>'
				+ '<a href="#' +oneline41 +'" title="" ' 
				+'onMouseOver="o_read.tooltip(this,\'' +oneline41 +'\')">' 
				+oneline40
				+'</a> <\/rb>' + ' ';
			oneline3 += '<rt>'
				+ '<a href="#" title="" onMouseOver="o_read.explain(this,\'' +oneline43 +'\')">' 
				+oneline43 +'</a>' ;
			if (oneline42[1] != 'G') 
				oneline3 +=  '<a href="#" title="" ' 
					+'onMouseOver="o_read.tooltip(this,\'' +oneline42 +'\')">' 
					+'<font color="green">* </font></a> ' ;
			oneline3 += '<\/rt>' + ' ';
			is_gOne = true;
			oneline42 = 'GGGGG';
		}
		}  // for (ii in oneline2) {

	oneline3 += '<\/ruby> ';
	read_text += o_bible.bookAbbr_s[bnum] +' ' +(cnum+1) +':' +(i-line1+1) +' ' +oneline3 +'<\/TD><\/TR>';

	//      tempNode1.setAttribute("value", value1++);  // increase LI series
	  }  // end of for (var i = line1; i < line2; i++) {


  read_text += '</TABLE><\/span> \n<P \/>';

  read_text += '<a href="" onClick="o_read.readchapter(\'' + opstr + '\', mybody, nowbook,--nowchapter); return false;">前一章</a>\n'
	+'<a href="" onClick="o_read.readchapter(\'' + opstr + '\', mybody, nowbook,++nowchapter); return false;">后一章</a>\n';

  out1 = getWhere ("d_read");
  out1.innerHTML = read_text;

  nowbook = bnum;
  nowchapter = cnum;

}  // function readchapter (opstr, objNode, bnum, cnum) {

}  // function c_read () { 

// -----------------------------------------------------------------


//  f_load.loadDB (["f_main.main (2)", -1]);
//  function f_updateDB (a)
// 	a [i]
// 	[0] = resume function
// 	[1] = version of book, a path to subfolder
// 	[2] = index of segment, a js file to load



